# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "iobuffer"
  s.version = "1.1.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.3.6") if s.respond_to? :required_rubygems_version=
  s.authors = ["Tony Arcieri"]
  s.date = "2012-02-14"
  s.description = "fast buffers for non-blocking IO"
  s.email = ["tony.arcieri@gmail.com"]
  s.extensions = ["ext/extconf.rb"]
  s.files = ["README.md", "lib/iobuffer/version.rb", "lib/iobuffer.rb", "ext/iobuffer.c", "ext/extconf.rb"]
  s.homepage = "https://github.com/tarcieri/iobuffer"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "fast buffers for non-blocking IO"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake-compiler>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
    else
      s.add_dependency(%q<rake-compiler>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
    end
  else
    s.add_dependency(%q<rake-compiler>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
  end
end
